Summary:	Displays information on ACPI devices
Name:		acpi
Version:	1.7
Release:	%mkrel 6
License:	GPLv2+
Group:		System/Servers
Url:		http://sourceforge.net/projects/acpiclient/
Source0:	http://downloads.sourceforge.net/project/acpiclient/acpiclient/%{version}/%{name}-%{version}.tar.gz
Requires:	dmidecode

%description
Attempts to replicate the functionality of the 'old' apm command on
ACPI systems, including battery and thermal information.

%prep
%setup -q

%build
%configure
%make CFLAGS="%{optflags}"

%install
%makeinstall

%triggerpostun -- acpi < 0.09-4
rm -f /etc/rc.d/*/{K,S}*acpi

%files
%doc AUTHORS ChangeLog README
%{_bindir}/*
%{_mandir}/man1/%{name}*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.7-6.mga8
+ Revision: 1511568
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.7-5.mga7
+ Revision: 1297280
- Mageia 7 Mass Rebuild

* Wed Feb 03 2016 umeabot <umeabot> 1.7-4.mga6
+ Revision: 933055
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.7-3.mga5
+ Revision: 750622
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7-2.mga5
+ Revision: 677689
- Mageia 5 Mass Rebuild

* Thu Dec 05 2013 luigiwalser <luigiwalser> 1.7-1.mga5
+ Revision: 555397
- 1.7

* Fri Oct 18 2013 umeabot <umeabot> 1.6-3.mga4
+ Revision: 502450
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.6-2.mga3
+ Revision: 345255
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 08 2012 tv <tv> 1.6-1.mga2
+ Revision: 206555
- new release

* Wed Jan 12 2011 kharec <kharec> 1.5-2.mga1
+ Revision: 7213
- imported package acpi


* Mon Nov 29 2010 Oden Eriksson <oeriksson@mandriva.com> 1.5-2mdv2011.0
+ Revision: 603169
- rebuild

* Mon Apr 05 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.5-1mdv2010.1
+ Revision: 531538
- Update to 1.5

* Sun Feb 21 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4-1mdv2010.1
+ Revision: 508871
- update to new version 1.4
- drop both patches
- spec file clean

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0.09-7mdv2010.0
+ Revision: 413021
- rebuild

* Mon Dec 29 2008 Oden Eriksson <oeriksson@mandriva.com> 0.09-6mdv2009.1
+ Revision: 321079
- rebuild

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 0.09-5mdv2009.0
+ Revision: 220327
- rebuild

* Fri Feb 22 2008 Olivier Blin <oblin@mandriva.com> 0.09-4mdv2008.1
+ Revision: 173968
- remove old initscript symlinks on update

* Tue Feb 12 2008 Olivier Blin <oblin@mandriva.com> 0.09-3mdv2008.1
+ Revision: 166310
- remove init script, modules are loaded by udev coldplug on the acpi bus
- bunzip patches

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 0.09-2mdv2008.1
+ Revision: 148413
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed May 23 2007 Christiaan Welvaart <spturtle@mandriva.org> 0.09-1mdv2008.0
+ Revision: 30352
- Import acpi



* Mon Jul  3 2006 Olivier Blin <oblin@mandriva.com> 0.09-1mdv2007.0
- 0.09
- rediff Patch1
- update URL
- fix executable-marked-as-config-file

* Thu Feb 09 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.07-10mdk
- patch 2: fix README advertizing a non existing man page

* Mon Jan  9 2006 Olivier Blin <oblin@mandriva.com> 0.07-9mdk
- fix acpi status output (from Andrey Borzenkov, #20524)

* Sun Jan  8 2006 Olivier Blin <oblin@mandriva.com> 0.07-8mdk
- convert parallel init to LSB

* Sat Dec 31 2005 Couriousous <couriousous@mandriva.org> 0.07-7mdk
- Add parallel init stuff

* Thu Aug 11 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.07-6mdk
- fix rpmlint errors( PreReq)

* Wed Aug 10 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.07-5mdk
- fix rpmlint errors( PreReq)

* Tue Aug 24 2004 Erwan Velu <erwan@mandrakesoft.com> 0.07-4mdk
- Changing dectection procedure to load _acpi modules. Some were not detected.
- Now using dmidecode instead of cat /proc/acpi/dsdt

* Fri Jun 18 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.07-3mdk
- load *_acpi modules when needed

* Fri Feb 13 2004 Götz Waschk <waschk@linux-mandrake.com> 0.07-2mdk
- add a reload entry to the init script
- remove broken symlink
- gprintify source1 by hand to fix bug #5637

* Mon Feb 02 2004 Nicolas Planel <nplanel@mandrakesoft.com> 0.07-1mdk
- 0.07.

* Fri Aug 29 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.6-9mdk
- don't report an error on startup if acpi isn't present

* Wed Jul 23 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.6-8mdk
- fix gcc-3.3 patch (P2)

* Tue Jul 15 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.6-7mdk
- drop Prefix tag
- fix gcc-3.3 build (P2)

* Thu May 15 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6-6mdk
- init service: cosmetic fixes (andrey borsenkow)

* Fri Mar  7 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.6-5mdk
- touch/rm /var/lock/ when stop/start.

* Fri Feb 28 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.6-4mdk
- load button module in init script

* Mon Feb 24 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.6-3mdk
- Add init files to load modules.

* Tue Feb  4 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.6-2mdk
- Rpmlint's stuff.
- Add on_ac_power patch to make it a behavior kind of like on_ac_power
  of apm.

* Tue Feb  4 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.6-1mdk
- First packaging.


# end of file
